ストリーム & 履歴
イベント履歴
GET /v1/events replay
このキーの監視対象とキーワードに関する最近のイベント。新しい順で、ストリームとまったく同じフィルターが適用されます。履歴は 30 日間保持されます。
クエリパラメータ
| クエリパラメータ | 型 | 意味 |
|---|---|---|
limit | int 1–500 = 50 | ページサイズ |
cursor | string | 前のページの meta.next_cursor から |
レスポンス
エンベロープ形式のイベント 1 ページと、ページング用の meta。 フィールドごとの説明: エンベロープ.
ステータス: 200
リクエスト
curl https://api.xsignalfeed.com/v1/events?limit=2 \ -H "Authorization: Bearer xsf_your_key"
レスポンス · 200
{
"events": [
{
"v": 1,
"t": "tweet.create",
"op": "create",
"id": "tweet:2097879002992070835",
"…": "…"
},
{
"v": 1,
"t": "follow.add",
"…": "…"
}
],
"meta": {
"count": 2,
"has_more": true,
"next_cursor": "eyJpZCI6MTAxODMyLCJ0IjoiMjAyNi0wOS0xNlQwODo0MDoxMSswMDowMCJ9"
}
}